Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class BTreeRangeIndex

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--ru.biosoft.access.BTreeIndex
                  |
                  +--ru.biosoft.access.BTreeRangeIndex

public class BTreeRangeIndex
extends BTreeIndex

Index for search keys by custom algorithm.

todo Use BTreeIndex for int keys, Optimize key/node iterator, Implement removing

Inner classes inherited from class ru.biosoft.access.BTreeIndex
`BTreeIndex.IntKey, BTreeIndex.NodeKey`

Fields inherited from class ru.biosoft.access.BTreeIndex
`DEFAULT_BLOCK_SIZE, ROOT_BLOCK_OFFSET`

Constructor Summary
`BTreeRangeIndex(File dataFile, String indexName, String indexPath, int blockSize)`

Method Summary
`Object` | `createNode(byte[] buffer, int pos, String key, IndexEntry value)`
`Object` | `createNode(byte[] buffer, int pos)`
`Object` | `get(Object key)`
`Iterator` | `keyIterator(Key key)`
`Iterator` | `nodeIterator(Key key)`
`Object` | `put(Object key, Object entry)`

Methods inherited from class ru.biosoft.access.BTreeIndex
`clear, close, containsKey, createNode, entrySet, getIndexFile, isValid, remove, size`

Methods inherited from class java.util.AbstractMap
`isEmpty, containsValue, putAll, keySet, values, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BTreeRangeIndex

    public BTreeRangeIndex(File dataFile, String indexName, String indexPath, int blockSize)
                      throws java.io.IOException

Method Detail

### createNode

    public Object createNode(byte[] buffer, int pos, String key, IndexEntry value)

### createNode

    public Object createNode(byte[] buffer, int pos)

### get

    public Object get(Object key)

### keyIterator

    public Iterator keyIterator(Key key)

### nodeIterator

    public Iterator nodeIterator(Key key)

### put

    public Object put(Object key, Object entry)

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM